ipc_check_perms
Prev | IPC utilities | Next

## Name

ipc_check_perms — check security and permissions for an IPC

## Synopsis

`int ipc_check_perms (` | struct kern_ipc_perm * | ipcp,
| struct ipc_ops * | ops,
| struct ipc_params * | params`)`;

## Arguments

`ipcp`

  ipc permission set

`ops`

  the actual security routine to call

`params`

  its parameters

## Description

This routine is called by `sys_msgget`, `sys_semget` and `sys_shmget` when the key is not IPC_PRIVATE and that key already exists in the ids IDR.

On success, the IPC id is returned.

It is called with ipc_ids.rw_mutex and ipcp->lock held.

Prev | Up | Next
ipcget_new | Home | ipcget_public